SYSTEMD-AC-POWER(1)

NOM
systemd-ac-power – Faire savoir si le système est connecté à une alimentation électrique extérieure

SYNOPSIS

systemd-ac-power [OPTIONS...]

DESCRIPTION

systemd-ac-power peut être utilisé pour vérifier si le système fonctionne à partir d’une alimentation électrique extérieure. Par défaut, il renvoie « succès » (s’il est possible de détecter que le système est branché sur une alimentation externe) ou, sans rien renvoyer, « échec ». Cela peut être utile pour le débogage de ConditionACPower= (voir systemd.unit(5)).

OPTIONS

Les options suivantes sont comprises :

-v, --verbose
    Afficher le résultat sous forme textuelle au lieu de renvoyer uniquement « succès » ou « échec ».

    Ajouté dans la version 253.

--low
    Au lieu d’afficher l’état du branchement électrique, afficher un état de batterie faible. Dans ce cas, zéro sera renvoyé si toutes les batteries sont actuellement en décharge et en dessous de 5 % de leur charge maximale. Une valeur différente de zéro sera renvoyée dans le cas contraire.

    Ajouté dans la version 254.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès (branchement sur alimentation électrique externe), 0 est renvoyé, sinon un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.